org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface ParameterValue

    public interface ParameterValue

A representation of the model object 'Parameter Value'. This is the value given as a parameter to execute a query for an operation.

The following features are supported:

- `Parameter`
- `Value`

See Also:
  `EFacetPackage.getParameterValue()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EParameter` `getParameter()` Returns the value of the 'Parameter' reference.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setParameter(EParameter value)` Sets the value of the '`Parameter`' reference.
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

### Method Detail

#### getParameter

    EParameter getParameter()

Returns the value of the 'Parameter' reference.

If the meaning of the 'Parameter' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parameter' reference.
See Also:
  `setParameter(EParameter)`, `EFacetPackage.getParameterValue_Parameter()`
Generated:
Model:
  required="true"

#### setParameter

    void setParameter(EParameter value)

Sets the value of the '`Parameter`' reference.

Parameters:
  `value` - the new value of the 'Parameter' reference.
See Also:
  `getParameter()`
Generated:

#### getValue

    java.lang.Object getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(Object)`, `EFacetPackage.getParameterValue_Value()`
Generated:
Model:

#### setValue

    void setValue(java.lang.Object value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`
Generated: